#property indicator_separate_window
#property indicator_buffers 3
#property indicator_color1  Red
#property indicator_color2  LimeGreen
#property indicator_color3  Gold
#property indicator_width1  2
#property indicator_style2  STYLE_DOT
#property indicator_style3  STYLE_DOT

//
//
//
//
//

extern int FastEma     = 12;
extern int SlowEma     = 26;
extern int Signal1     =  9;
extern int Signal1Mode = MODE_EMA;
extern int Signal2     = 18;
extern int Signal2Mode = MODE_EMA;
extern int Price       = PRICE_CLOSE;

double macd[];
double sign1[];
double sign2[];

//------------------------------------------------------------------
//
//------------------------------------------------------------------
int init()
{
   IndicatorDigits(6);
   SetIndexBuffer(0,macd);
   SetIndexBuffer(1,sign1);
   SetIndexBuffer(2,sign2);
   IndicatorShortName("MACD 2 signal lines ("+FastEma+","+SlowEma+","+Signal1+","+Signal2+")");
   return(0);
}
int deinit()
{
   return(0);
}
int start() 
{
   int i,counted_bars=IndicatorCounted();
      if(counted_bars<0) return(-1);
      if(counted_bars>0) counted_bars--;
         int limit = MathMin(Bars-counted_bars,Bars-1);
 
   //
   //
   //
   //
   //
           
   for(i=limit; i>=0; i--) macd[i] = iMA(NULL,0,FastEma,0,MODE_EMA,Price,i)-iMA(NULL,0,SlowEma,0,MODE_EMA,Price,i);
   for(i=limit; i>=0; i--)
   {
      sign1[i] = iMAOnArray(macd,0,Signal1,0,Signal1Mode,i);
      sign2[i] = iMAOnArray(macd,0,Signal2,0,Signal2Mode,i);
   }
   return(0);
}